Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.svg2svg
Class OutputManager.AttributeInfo

    java.lang.Object
      org.apache.batik.transcoder.svg2svg.OutputManager.AttributeInfo

Enclosing class:
  OutputManager

    public static class OutputManager.AttributeInfo

extends Object

To store the informations about an attribute.

Field Summary
`char` | `delimiter` The attribute value delimiter.
`boolean` | `entityReferences` Whether the attribute value contains entity references.
`char[]` | `name` The attribute name.
`char[]` | `space` The space before the name.
`char[]` | `space1` The space before '='.
`char[]` | `space2` The space after '='.
`String` | `value` The attribute value.

Constructor Summary
`OutputManager.AttributeInfo(char[] sp, char[] n, char[] sp1, char[] sp2, String val, char delim, boolean entity)` Creates a new AttributeInfo.

Method Summary
`boolean` | `isAttribute(String s)` Tells whether the name of the attribute represented by this class equals the given string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### space

    public char[] space

  The space before the name.

### name

    public char[] name

  The attribute name.

### space1

    public char[] space1

  The space before '='.

### space2

    public char[] space2

  The space after '='.

### value

    public String value

  The attribute value.

### delimiter

    public char delimiter

  The attribute value delimiter.

### entityReferences

    public boolean entityReferences

  Whether the attribute value contains entity references.

Constructor Detail

### OutputManager.AttributeInfo

    public OutputManager.AttributeInfo(char[] sp,
                                       char[] n,
                                       char[] sp1,
                                       char[] sp2,
                                       String val,
                                       char delim,
                                       boolean entity)

  Creates a new AttributeInfo.

Method Detail

### isAttribute

    public boolean isAttribute(String s)

  Tells whether the name of the attribute represented by this class equals the given string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.